select distinct TC.TCLN_ID
from TEST_CASE TC
inner join TEST_CASE_LIBRARY_NODE TCLN on TC.TCLN_ID = TCLN.TCLN_ID
inner join TCLN_RELATIONSHIP_CLOSURE TCLNC on TCLNC.DESCENDANT_ID = TC.TCLN_ID
where TCLNC.ANCESTOR_ID in (:nodeIds)
  and TCLN.PROJECT_ID in (:projectIds)
